/*
	Revision history:
	10-07-04: field int n; added to struct FRAGMENT (number of 'special' positions in the segment
*/
/* 
   Copyright (c) 2004-2005 by Igor B. Kuznetsov. All Rights Reserved.
   IKuznetsov@albany.edu

   Licensor hereby grants to any person a permission to use, copy and distribute any part of this software
   program for educational and non-profit purposes, without fee, and without a written agreement,
   provided that this copyright notice appears in all copies. You cannot modify this source code without 
   an explicit written permission of the author. 

   Any unauthorized commercial distribution of any part of this software program is strictly prohibited. 

   This software is provided on an "AS IS" BASIS and WITHOUT WARRANTY, either express or implied, 
   including, without limitation, the warranties of NON-INFRINGEMENT, MERCHANTABILITY 
   or FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY OF THE SOFTWARE IS WITH YOU.

   Limitation of Liability. Under no circumstances and under no legal theory shall the Licensor be liable 
   to any person for any direct, indirect, special, incidental, or consequential damages of any character 
   arising as a result of the use of this software. 
*/


#define MAX_GROUPS 3
#define MIN_PROP_NUM 16 /* Min. number of observations for each tripeptide (if less -> ignore) */
#define MAX_FRAGMENT 10000 // Max length of fragment that can be stored in array

// Structure that holds information about sequence fragment (start, end, average propensity, probability)
struct FRAGMENT
{
	int start,end,l,n;
	double raw_p,smooth_p,prob;
};

// Structure that holds size of longest fragments with high and low propensity
struct PAIR
{
    int high,low,both;
};

char aa[] = "WIYFLVMCAGHPSTNQDEKRX";

